Hilfe bringe Eclipse nicht zum laufen

Dieses Thema im Forum "Andere" wurde erstellt von surferchris, 30.06.2006.

  1. surferchris

    surferchris Thread Starter MacUser Mitglied

    Beiträge:
    26
    Zustimmungen:
    0
    MacUser seit:
    21.06.2006
    Hi,

    ich versuche seit 2 Tagen Eclipse SDK 3.1.2 auf meinem MAcbook zum laufen zu bringen. Leider bekomm ich's aber echt nicht hin.
    Sollte doch eigentlich ganz einfach sein. Downloaden, entpacken, starten. Wenn ich aber versuche die eclipse.app zu starten ist seine Antwort ein Popup in dem Steht:
    "An error has occurred.
    See the log file
    /users/bb/Documents/workspace/.metadata/.log."
    Ich würde ja gerne nachlesen wo der Fehler liegt aber im workspace ist weder ein Verzeichnis noch eine Datei vorhanden, geschweige denn ein Logfile. Kommt dieses Problem jemandem bekannt vor? Kann mir jemand helfen?

    Hilfe! Ich verzweifle!

    Gruß,
    SurferChris
     
  2. oneOeight

    oneOeight MacUser Mitglied

    Beiträge:
    46.832
    Zustimmungen:
    3.633
    MacUser seit:
    23.11.2004
    guck mal mit dem terminal nach (ls -la)...
    der finder zeigt verzeichnisse und dateien mit . vorne nicht an...
     
  3. surferchris

    surferchris Thread Starter MacUser Mitglied

    Beiträge:
    26
    Zustimmungen:
    0
    MacUser seit:
    21.06.2006
    Danke so weit so gut. Leider werde ich daraus auch nicht schlau.
    Folgendes Stand drin:

    !SESSION 2006-06-30 01:29:30.456 -----------------------------------------------
    eclipse.buildId=M20060118-1600
    java.version=1.5.0_06
    java.vendor=Apple Computer, Inc.
    BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=de_DE
    Framework arguments: -keyring /Users/chris/.eclipse_keyring -showlocation
    Command-line arguments: -os macosx -ws carbon -arch ppc -keyring /Users/chris/.eclipse_keyring -consoleLog -showlocation

    !ENTRY org.eclipse.osgi 2006-06-30 01:29:31.446
    !MESSAGE Application error
    !STACK 1
    java.lang.UnsatisfiedLinkError: /Applications/eclipse/configuration/org.eclipse.osgi/bundles/63/1/.cp/libswt-pi-carbon-3139.jnilib:
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1660)
    at java.lang.Runtime.loadLibrary0(Runtime.java:822)
    at java.lang.System.loadLibrary(System.java:992)
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
    at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
    at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
    at org.eclipse.swt.widgets.Display.create(Display.java:836)
    at org.eclipse.swt.graphics.Device.<init>(Device.java:118)
    at org.eclipse.swt.widgets.Display.<init>(Display.java:676)
    at org.eclipse.swt.widgets.Display.<init>(Display.java:667)
    at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:394)
    at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
    at org.eclipse.ui.internal.ide.IDEApplication.createDisplay(IDEApplication.java:128)
    at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:79)
    at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:585)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
    at org.eclipse.core.launcher.Main.run(Main.java:973)
    at org.eclipse.core.launcher.Main.main(Main.java:948)

    Kann mir wer meinen Fehler sagen? Wäre nett danke
     
  4. Badener

    Badener Gast

    Da steht doch
    Code:
    BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=de_DE
    Framework arguments: -keyring /Users/chris/.eclipse_keyring -showlocation
    Command-line arguments: -os macosx -ws carbon -arch ppc -keyring 
    -arch ppc --> Du hast die Version für PPCs - ein MacBook hat aber einen Intel.

    Soweit ich weiß, wurden die 3.1er von eclipse nicht an x86 angepaßt - aber die 3.2RC7 soll ja recht stabil sein, die unterstützt auch Intel.
     
  5. surferchris

    surferchris Thread Starter MacUser Mitglied

    Beiträge:
    26
    Zustimmungen:
    0
    MacUser seit:
    21.06.2006
    Danke und schon gehts. :freu:
     
  6. ame

    ame MacUser Mitglied

    Beiträge:
    2
    Zustimmungen:
    0
    MacUser seit:
    10.07.2006
    Hallo,

    Ich versuch eine Java-Anwendung auf dem MacBook zu starten.

    Im Terminal bekomme ich folgende Fehlermeldung, wenn ich das start-script aufrufe:

    "Java for ppc cannot run in this configuration.
    Please consult documentation.
    Java for ppc cannot run in this configuration.
    Please consult documentation.
    ../native/java_swt: Error starting up VM.
    logout
    "

    Ich habe versucht die swt-libs aus dem Projekt mit denen von eclipse 3.2 auszutauschen. Die gleiche Fehlermeldung ist jedoch immer noch zu sehen.

    Mein 2. Versuch war das Projekt in eclipse 3.2 zu starten. Ich bekomme jedoch immer folgendende Fehlermeldung:

    "Exception in thread "main" java.lang.UnsatisfiedLinkError: no swt-pi-carbon-3062 in java.library.path
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1682)
    at java.lang.Runtime.loadLibrary0(Runtime.java:822)
    at java.lang.System.loadLibrary(System.java:992)
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:100)
    at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:22)
    at org.eclipse.swt.widgets.Display.<clinit>(Display.java:308)
    at org.placelab.demo.apviewer.APViewer.main(APViewer.java:75)
    "

    Bei der Verwendung der swt-libs von eclipse (org.eclipse.swt_3.2.0.v3232o.jar,
    org.eclipse.swt.carbon.macosx_3.2.0.v3232m.jar) ändert sich die Fehlermeldung zu "...no swt-pi-carbon-3232 in ...."

    Das Hinzufügen -Djava.library.path mit dem Pfad zu den eclipse-libs hat auch keinen Effekt.

    Kann mir jemand weiterhelfen? Danke im voraus.

    ame
     
  7. Jens Ko.

    Jens Ko. MacUser Mitglied

    Beiträge:
    136
    Zustimmungen:
    0
    MacUser seit:
    31.01.2005
    Hmm, falsche Java Version? Scheinbar hast Du eine für PPC optimierte Version von Java...
     
  8. ame

    ame MacUser Mitglied

    Beiträge:
    2
    Zustimmungen:
    0
    MacUser seit:
    10.07.2006
    Ich verwende die Java-Version 1.5.0_6-64. Das ist schon eine Version für den Intel-Mac.

    Unter eclipse habe ich das projekt jetzt starten können. Dazu habe ich alle *.jnilib (insbesondere libswt-pi-carbon-3xxx.jnilib) in das root Verzeichnis kopiert. Mit dem Zusatz "-Djava.library.path=." konnte das projekt dann gestartet werden. :xsmile: Wahrscheinlich war die Angabe des Pfades zu den jnilibs falsch.

    Im Terminal bin ich leider immer noch nicht auf Erfolg gestossen.

    ame
     
Die Seite wird geladen...
Ähnliche Themen - Hilfe bringe Eclipse
  1. zmira
    Antworten:
    5
    Aufrufe:
    150
  2. GerhardK10
    Antworten:
    11
    Aufrufe:
    397
  3. macnom
    Antworten:
    0
    Aufrufe:
    214
  4. harlekin12
    Antworten:
    12
    Aufrufe:
    3.375
  5. phonatic
    Antworten:
    0
    Aufrufe:
    769

Diese Seite empfehlen